Subject: bug#69140: 30.0.50; [elpa/vertico] Emacs with vertico-mode freezes if font is too big

From: Eli Zaretskii <[email-masked]>
Date: Wed, 21 Feb 2024 20:56:58 +0200

> From: Aleksandr Vityazev <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 21 Feb 2024 20:20:14 +0300
> 
> > Thanks, but I don't understand what to do after "m-x test-dispatch".
> > Please tell in more details what you mean in Step 4, in terms of what
> > I need to type after "M-x test-dispatch".  (I tried several things,
> > but couldn't get any interesting effects, let alone a hang.)
> 
> I run test-dispatch, for example I press "r", which calls the
> minibuffer. At this point, Emacs is already starting to freeze for me; if
> I change the full-screen to windowed mode several times, everything gets
> worse.  If nothing happens after pressing "r" you can try other bound
> letters.

I tried all the letters, and didn't see any hangs.

Maybe this only happens in a GTK build with Cairo.

You say "set a large font", but running your recipe I don't see any
large fonts, except in the help-echo tooltips.  Maybe that's why I
cannot see any problems.  Perhaps the problem is with the
set-face-attribute part of the recipe, in that it doesn't produce the
same effect on my system as on yours?